using System;
using System.Collections.Generic;
using System.Text;

namespace ASHermed.SinoInterface.Api.ContractModel
{
    public class Meta
    {
        public Meta()
        {
            Body = new Body();
        }
        public string ContentType { get; set; }
        public string UpdateDate { get; set; }
        public string PublicationDate { get; set; }
        public string Title { get; set; }
        public string Abstract { get; set; }
        public Body Body { get; set; }
    }

    public class Body
    {
        public Body()
        {
            Section = new List<Section>();
            Concept = new List<Concept>();
        }
        public List<Section> Section { get; set; }
        public List<Concept> Concept { get; set; }
    }

    public class Section
    {
        public Section()
        {
            PopupMedia = new PopupMedia();
        }
        public string SectionHead { get; set; }
        public string HTML { get; set; }
        public PopupMedia PopupMedia { get; set; }
    }
    public class Concept
    {
        public Concept()
        {
            Section = new List<Section>();
        }
        public List<Section> Section { get; set; }
    }

    public class PopupMedia
    {
        public PopupMedia()
        {
            Thumbnail = new Thumbnail();
            Image = new Thumbnail();
        }
        public Thumbnail Thumbnail;
        public Thumbnail Image;
    }
  
    public class Thumbnail
    {
        public string Title { get; set; }
        public string URI { get; set; }
        public string Width { get; set; }
        public string Height { get; set; }
        public string Caption { get; set; }
    }

}
